﻿namespace ProjectPatientAccounting.Entities;

public class Reception
{
    public int Id { get; private set; }
    public int PatientId { get; private set; }
    public int DoctorId { get; private set; }
    public int DiagnosisId { get; private set; }
    public DateTime ReceptionDate { get; private set; }
    public int NumTicket { get; private set; }
    public IEnumerable<MedicamentReception> MedicamentReceptions { get; private set; } = [];

    public static Reception CreateOperation(int id, int patientId, int doctorId, int diagnosisId, int numTicket, IEnumerable<MedicamentReception> medicamentReceptions)
    {
        return new Reception
        {
            Id = id,
            PatientId = patientId,
            DoctorId = doctorId,
            DiagnosisId = diagnosisId,
            ReceptionDate = DateTime.Now,
            NumTicket = numTicket,
            MedicamentReceptions = medicamentReceptions
        };
    }
}
